org.apache.xerces.impl.xs

## Class XMLSchemaValidatorBase.KeyRefValueStore

- java.lang.Object
- - org.apache.xerces.impl.xs.XMLSchemaValidatorBase.ValueStoreBase
  - - org.apache.xerces.impl.xs.XMLSchemaValidatorBase.KeyRefValueStore

- All Implemented Interfaces:
    ValueStore
  Enclosing class:
    XMLSchemaValidatorBase

      protected class XMLSchemaValidatorBase.KeyRefValueStore
      extends XMLSchemaValidatorBase.ValueStoreBase

  Key reference value store.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected XMLSchemaValidatorBase.ValueStoreBase` | `fKeyValueStore` Key value store.

    - ### Fields inherited from class org.apache.xerces.impl.xs.XMLSchemaValidatorBase.ValueStoreBase

      `fElementName, fFieldCount, fFields, fHasValue, fIdentityConstraint, fItemValueTypes, fLocalItemValueTypes, fLocalValues, fLocalValueTypes, fValues, fValuesCount, fValueTypes`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLSchemaValidatorBase.KeyRefValueStore(KeyRef keyRef, XMLSchemaValidatorBase.KeyValueStore keyValueStore, java.lang.String elementName)` Constructs a key value store.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endDocument()` End document.
    `void` | `endDocumentFragment()`

    - ### Methods inherited from class org.apache.xerces.impl.xs.XMLSchemaValidatorBase.ValueStoreBase

      `addValue, append, checkDuplicateValues, clear, contains, contains, endValueScope, getElementName, reportError, setElementName, startValueScope, toString, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### fKeyValueStore

          protected XMLSchemaValidatorBase.ValueStoreBase fKeyValueStore

      Key value store.

  - ### Constructor Detail

    - #### XMLSchemaValidatorBase.KeyRefValueStore

          public XMLSchemaValidatorBase.KeyRefValueStore(KeyRef keyRef,
                                                 XMLSchemaValidatorBase.KeyValueStore keyValueStore,
                                                 java.lang.String elementName)

      Constructs a key value store.

  - ### Method Detail

    - #### endDocumentFragment

          public void endDocumentFragment()

      Overrides:
        `endDocumentFragment` in class `XMLSchemaValidatorBase.ValueStoreBase`

    - #### endDocument

          public void endDocument()

      End document.
      Overrides:
        `endDocument` in class `XMLSchemaValidatorBase.ValueStoreBase`

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.